SolrClient::getOptions
SolrClient::ping
SolrClient
PHP Manual

# SolrClient::optimize

Defragments the index

### Description

public SolrUpdateResponse SolrClient::optimize ([ int `$maxSegments` = "1" [, bool `$waitFlush` = true [, bool `$waitSearcher` = true ]]] )

Defragments the index for faster search performance.

### Parameters

`maxSegments`

  Optimizes down to at most this number of segments. Since Solr 1.3

`waitFlush`

  Block until index changes are flushed to disk.

`waitSearcher`

  Block until a new searcher is opened and registered as the main query searcher, making the changes visible.

### Return Values

Returns a SolrUpdateResponse on success or throws a SolrClientException on failure.

### See Also

- SolrClient::commit
- SolrClient::rollback